Skip to content

List attached companies for contact

Request

You can fetch a list of companies that are associated to a contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier for the contact which is given by Intercom

Example:63a07ddf05a32042dffac965
Query
pageinteger

The page of results to fetch. Values below 1 are treated as 1.

Default:1
Example:page=1
per_pageinteger, <= 60

The number of companies to return per page. The maximum is 60; a value above 60 returns a 400 error with code parameter_invalid.

Default:50
Example:per_page=50
orderstring

The order of the companies by when they were last active (last_request_at). The value is case-insensitive, and any value other than asc is treated as desc.

Default:"desc"
Enum:"asc""desc"
Example:order=desc
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/contacts/63a07ddf05a32042dffac965/companies?page=1&per_page=50&order=desc' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

The type of object

Value:"list"
Example:"list"
dataArray of objects(Company)

An array containing Company Objects

total_countinteger

The total number of companies associated to this contact

Example:100

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "data": [ { … } ], "pages": { "type": "pages", "next": null, "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 1 }